# Interface TaskConfig

#### Hierarchy

- TaskConfig

- Defined in src/task.ts:15

#####
Index

### Properties

asyncFunction
isPreCondition?
level?
onFail?
onMoving?
onProcessing?
onReady?
onSuccess?
parentTaskId?

## Properties

### asyncFunction

asyncFunction: ((Task: any) => Promise<any>)

#### Type declaration

- - (Task: any): Promise<any>

  - #### Parameters

    - ##### Task: any

    #### Returns Promise<any>

- Defined in src/task.ts:19

### `Optional` isPreCondition

isPreCondition?: boolean

- Defined in src/task.ts:17

### `Optional` level

level?: number

- Defined in src/task.ts:16

### `Optional` onFail

onFail?: ((task: Task, message?: any) => Promise<any>)

#### Type declaration

- - (task: Task, message?: any): Promise<any>

  - #### Parameters

    - ##### task: Task

    - ##### `Optional` message: any

    #### Returns Promise<any>

- Defined in src/task.ts:23

### `Optional` onMoving

onMoving?: ((task: Task, message?: any) => Promise<any>)

#### Type declaration

- - (task: Task, message?: any): Promise<any>

  - #### Parameters

    - ##### task: Task

    - ##### `Optional` message: any

    #### Returns Promise<any>

- Defined in src/task.ts:21

### `Optional` onProcessing

onProcessing?: ((task: Task, message?: any) => Promise<any>)

#### Type declaration

- - (task: Task, message?: any): Promise<any>

  - #### Parameters

    - ##### task: Task

    - ##### `Optional` message: any

    #### Returns Promise<any>

- Defined in src/task.ts:24

### `Optional` onReady

onReady?: ((task: Task, message?: any) => Promise<any>)

#### Type declaration

- - (task: Task, message?: any): Promise<any>

  - #### Parameters

    - ##### task: Task

    - ##### `Optional` message: any

    #### Returns Promise<any>

- Defined in src/task.ts:20

### `Optional` onSuccess

onSuccess?: ((task: Task, message?: any) => Promise<any>)

#### Type declaration

- - (task: Task, message?: any): Promise<any>

  - #### Parameters

    - ##### task: Task

    - ##### `Optional` message: any

    #### Returns Promise<any>

- Defined in src/task.ts:22

### `Optional` parentTaskId

parentTaskId?: string

- Defined in src/task.ts:18

Generated using TypeDoc